Name: ant-optional
Version: 1.7.0
Release: alt8

%def_enable check

Summary: Optional tasks for Ant
Group: Development/Java
License: Apache
URL: http://ant.apache.org/
Packager: Damir Shayhutdinov <damir@altlinux.ru>

%define ant_home	%_datadir/ant

Requires: ant-antlr = %version-%release
Requires: ant-bcel = %version-%release
Requires: ant-commons-logging = %version-%release
Requires: ant-commons-net = %version-%release
Requires: ant-jai = %version-%release
Requires: ant-jakarta-oro = %version-%release
Requires: ant-jakarta-regexp = %version-%release
Requires: ant-javamail = %version-%release
Requires: ant-jdepend = %version-%release
Requires: ant-jmf = %version-%release
Requires: ant-jsch = %version-%release
Requires: ant-junit = %version-%release
Requires: ant-log4j = %version-%release
Requires: ant-stylebook = %version-%release
Requires: ant-swing = %version-%release
Requires: ant-trax = %version-%release
Requires: ant-xml-resolver = %version-%release
Requires: ant-bsf = %version-%release

BuildArch: noarch

Source: http://www.apache.org/dist/ant/source/apache-ant-%version-src.tar.bz2

BuildPreReq: rpm-build-java
BuildRequires: /proc
BuildRequires: ant = %version-%release
BuildRequires: java-devel >= 1.4
BuildRequires: jaxp_parser_impl xml-commons-apis
BuildRequires: antlr
BuildRequires: bcel
BuildRequires: jaf
BuildRequires: jai
BuildRequires: jakarta-commons-logging
BuildRequires: jakarta-commons-net
BuildRequires: jakarta-oro
BuildRequires: regexp
BuildRequires: javamail
BuildRequires: jdepend
BuildRequires: jsch
BuildRequires: junit
BuildRequires: log4j
BuildRequires: xml-stylebook
BuildRequires: xalan-j2 >= 2.0
BuildRequires: xml-commons-resolver

%description
Optional build tasks for ant, a platform-independent build tool for Java.

%package -n ant-manifest-only
Summary:        Manifest-only jars for ant
Group:          Development/Java
Requires:       ant = %{version}-%{release}
Provides:       ant-icontract = 0:%{version}-%{release}
Provides:       ant-netrexx = 0:%{version}-%{release}
Provides:       ant-starteam = 0:%{version}-%{release}
Provides:       ant-stylebook = 0:%{version}-%{release}
Provides:       ant-vaj = 0:%{version}-%{release}
Provides:       ant-weblogic = 0:%{version}-%{release}
Provides:       ant-xalan1 = 0:%{version}-%{release}
Provides:       ant-xslp = 0:%{version}-%{release}

%description -n ant-manifest-only
Manifest-only jars for ant.

%package -n ant-antlr
Summary: AntLR task support for Ant
Group: Development/Java
Requires: ant = %version-%release
Requires: antlr

%description -n ant-antlr
AntLR task support for ant, a platform-independent build tool for Java.

%package -n ant-bcel
Summary: BCEL task support for Ant
Group: Development/Java
Requires: ant = %version-%release
Requires: bcel
Provides: ant-apache-bcel = %version-%release

%description -n ant-bcel
BCEL task support for ant, a platform-independent build tool for Java.

%package -n ant-commons-logging
Summary: Jakarta Commons Logging task support for Ant
Group: Development/Java
Requires: ant = %version-%release
Requires: jakarta-commons-logging

%description -n ant-commons-logging
Jakarta Commons Logging task support for ant,
a platform-independent build tool for Java.

%package -n ant-commons-net
Summary: Jakarta Commons Net task support for Ant
Group: Development/Java
Requires: ant = %version-%release
Requires: jakarta-commons-net

%description -n ant-commons-net
Jakarta Commons Net task support for ant,
a platform-independent build tool for Java.

%package -n ant-jai
Summary: JAI task support for Ant
Group: Development/Java
Requires: ant = %version-%release
Requires: jai

%description -n ant-jai
Java Advanced Imaging task support for ant,
a platform-independent build tool for Java.

%package -n ant-jakarta-oro
Summary: Jakarta ORO task support for Ant
Group: Development/Java
Requires: ant = %version-%release
Requires: jakarta-oro
Provides: ant-apache-oro = %version-%release

%description -n ant-jakarta-oro
Jakarta ORO task support for ant, a platform-independent build tool for Java.

%package -n ant-jakarta-regexp
Summary: Jakarta Regexp task support for Ant
Group: Development/Java
Requires: ant = %version-%release
Requires: jakarta-regexp
Provides: ant-apache-regexp = %version-%release

%description -n ant-jakarta-regexp
Jakarta Regexp task support for ant,
a platform-independent build tool for Java.

%package -n ant-javamail
Summary: Javamail task support for Ant
Group: Development/Java
Requires: ant = %version-%release
Requires: javamail

%description -n ant-javamail
Javamail task support for ant, a platform-independent build tool for Java.

%package -n ant-jdepend
Summary: JDepend task support for Ant
Group: Development/Java
Requires: ant = %version-%release
Requires: jdepend

%description -n ant-jdepend
JDepend task support for ant, a platform-independent build tool for Java.

%package -n ant-jmf
Summary: JMF task support for Ant
Group: Development/Java
Requires: ant = %version-%release

%description -n ant-jmf
Java Media Framework task support for ant,
a platform-independent build tool for Java.

%package -n ant-jsch
Summary: JSch task support for Ant
Group: Development/Java
Requires: ant = %version-%release
Requires: jsch

%description -n ant-jsch
JSch task support for ant, a platform-independent build tool for Java.

%package -n ant-junit
Summary: JUnit task support for Ant
Group: Development/Java
Requires: ant = %version-%release
Requires: junit

%description -n ant-junit
JUnit task support for ant, a platform-independent build tool for Java.

%package -n ant-log4j
Summary: Log4j task support for Ant
Group: Development/Java
Requires: ant = %version-%release
Requires: log4j
Provides: ant-apache-log4j = %version-%release

%description -n ant-log4j
Log4j task support for ant, a platform-independent build tool for Java.

%package -n ant-stylebook
Summary: Stylebook task support for Ant
Group: Development/Java
Requires: ant = %version-%release
Requires: stylebook

%description -n ant-stylebook
Stylebook task support for ant, a platform-independent build tool for Java.

%package -n ant-swing
Summary: Swing support for Ant
Group: Development/Java
Requires: ant = %version-%release
Requires: j2se >= 1.3

%description -n ant-swing
Swing support for ant, a platform-independent build tool for Java.

%package -n ant-trax
Summary: TRAX task support for Ant
Group: Development/Java
Requires: ant = %version-%release

%description -n ant-trax
TRAX (Transformation APIs for XML) task support for ant,
a platform-independent build tool for Java.

%package -n ant-xml-resolver
Summary: XML Commons Resolver task support for Ant
Group: Development/Java
Requires: ant = %version-%release
Requires: xml-commons-resolver
Provides: ant-apache-resolver

%description -n ant-xml-resolver
XML Commons Resolver task support for ant,
a platform-independent build tool for Java.

%package -n ant-bsf
Summary:        Optional apache bsf tasks for %name
Group:          Development/Java
Requires:       ant = %version-%release
Requires:       bsf
BuildRequires:  bsf
Provides:       ant-apache-bsf = 0:%version-%release

%description -n ant-bsf
Optional apache bsf tasks for %name.

%prep
%setup -T -c
%__tar -xjf %SOURCE0
cd apache-ant-%version

%build
cd apache-ant-%version
CLASSPATH=\
%_javadir/xml-commons-apis.jar:\
%_javadir/jaxp_parser_impl.jar:\
%_javadir/activation.jar:\
%_javadir/antlr.jar:\
%_javadir/bcel.jar:\
%_javadir/jai/jai_core.jar:\
%_javadir/jai/jai_codec.jar:\
%_javadir/jakarta-commons-logging.jar:\
%_javadir/jakarta-commons-net.jar:\
%_javadir/jakarta-oro.jar:\
%_javadir/regexp.jar:\
%_javadir/javamail.jar:\
%_javadir/jdepend.jar:\
%_javadir/jsch.jar:\
%_javadir/junit.jar:\
%_javadir/log4j.jar:\
%_javadir/stylebook.jar:\
%_javadir/xalan-j.jar:\
%_javadir/bsf.jar:\
%_javadir/xml-commons-resolver.jar
export CLASSPATH

ant \
%if_enabled debug
    -Doptimize=false \
%else
    -Ddebug=false \
%endif
    jars

%install
cd apache-ant-%version
install -d -m755 $RPM_BUILD_ROOT%_javadir/ant
install -p -m644 build/lib/*.jar $RPM_BUILD_ROOT%_javadir/ant/

mkdir ./META-INF
cat > ./META-INF/MANIFEST.MF <<EOF
Manifest-Version: 1.0
Ant-Version: Apache Ant %{version}
Created-By: 1.4.2_13-b06 (Sun Microsystems Inc.)

Name: org/apache/tools/ant/taskdefs/optional/
Extension-name: org.apache.tools.ant
Specification-Title: Apache Ant
Specification-Version: %{version}
Specification-Vendor: Apache Software Foundation
Implementation-Title: org.apache.tools.ant
Implementation-Version: %{version}
Implementation-Vendor: Apache Software Foundation
EOF

for i in icontract netrexx starteam stylebook vaj weblogic xalan1 xslp; do
    if [ -e build/lib/ant-$i.jar ]; then
       	echo "manifest-only file exists; skipped"
    else
	jar cf $RPM_BUILD_ROOT%{_javadir}/ant/ant-$i-%version.jar ./META-INF
	ln -s ant-$i-%version.jar $RPM_BUILD_ROOT%{_javadir}/ant/ant-$i.jar
    fi
done

%files

%files -n ant-manifest-only
#defattr(0644,root,root,0755)
%{_javadir}/ant/ant-icontract-%{version}.jar
%{_javadir}/ant/ant-icontract.jar
%{_javadir}/ant/ant-netrexx-%{version}.jar
%{_javadir}/ant/ant-netrexx.jar
%{_javadir}/ant/ant-starteam-%{version}.jar
%{_javadir}/ant/ant-starteam.jar
#%{_javadir}/ant/ant-stylebook-%{version}.jar
#%{_javadir}/ant/ant-stylebook.jar
%{_javadir}/ant/ant-vaj-%{version}.jar
%{_javadir}/ant/ant-vaj.jar
%{_javadir}/ant/ant-weblogic-%{version}.jar
%{_javadir}/ant/ant-weblogic.jar
%{_javadir}/ant/ant-xalan1-%{version}.jar
%{_javadir}/ant/ant-xalan1.jar
%{_javadir}/ant/ant-xslp-%{version}.jar
%{_javadir}/ant/ant-xslp.jar

%files -n ant-antlr
%_javadir/ant/ant-antlr.jar

%files -n ant-bcel
%_javadir/ant/ant-apache-bcel.jar

%files -n ant-commons-logging
%_javadir/ant/ant-commons-logging.jar

%files -n ant-commons-net
%_javadir/ant/ant-commons-net.jar

%files -n ant-jai
%_javadir/ant/ant-jai.jar

%files -n ant-jakarta-oro
%_javadir/ant/ant-apache-oro.jar

%files -n ant-jakarta-regexp
%_javadir/ant/ant-apache-regexp.jar

%files -n ant-javamail
%_javadir/ant/ant-javamail.jar

%files -n ant-jdepend
%_javadir/ant/ant-jdepend.jar

%files -n ant-jmf
%_javadir/ant/ant-jmf.jar

%files -n ant-jsch
%_javadir/ant/ant-jsch.jar

%files -n ant-junit
%_javadir/ant/ant-junit.jar

%files -n ant-log4j
%_javadir/ant/ant-apache-log4j.jar

%files -n ant-stylebook
%_javadir/ant/ant-stylebook.jar

%files -n ant-swing
%_javadir/ant/ant-swing.jar

%files -n ant-trax
%_javadir/ant/ant-trax.jar

%files -n ant-xml-resolver
%_javadir/ant/ant-apache-resolver.jar

%files -n ant-bsf
%_javadir/ant/ant-apache-bsf.jar

%changelog
* Tue Dec 18 2007 Damir Shayhutdinov <damir@altlinux.ru> 1.7.0-alt8
- Added ant-manifest-only subpackage. 
- Fixed build.

* Mon Jun 18 2007 Damir Shayhutdinov <damir@altlinux.ru> 1.7.0-alt7
- Fix Requires typo.

* Sat Jun 16 2007 Damir Shayhutdinov <damir@altlinux.ru> 1.7.0-alt6
- Add version-release to compatibility dependencies (#11878).
- Add ant-bsf subpackage.

* Sat Jun 09 2007 Damir Shayhutdinov <damir@altlinux.ru> 1.7.0-alt5
- Added some compatibility dependencies (#11878).

* Thu May 17 2007 Damir Shayhutdinov <damir@altlinux.ru> 1.7.0-alt4
- Raised release to match ant package release.

* Sat May 05 2007 Damir Shayhutdinov <damir@altlinux.ru> 1.7.0-alt3
- Returned ant-xml-resolver package.

* Sat Feb 24 2007 Damir Shayhutdinov <damir@altlinux.ru> 1.7.0-alt2
- Raised release to match ant package release.

* Sun Feb 04 2007 Damir Shayhutdinov <damir@altlinux.ru> 1.7.0-alt1.1
- Fixed Requires and BuildRequires (strict ant version)

* Sat Feb 03 2007 Damir Shayhutdinov <damir@altlinux.ru> 1.7.0-alt1
- New version

* Sat Mar 04 2006 Mikhail Zabaluev <mhz@altlinux.ru> 1.6.5-alt2
- Rebuilt to match the bootstrap ant

* Mon Jun 06 2005 Mikhail Zabaluev <mhz@altlinux.ru> 1.6.5-alt1
- New upstream release

* Fri Apr 29 2005 Mikhail Zabaluev <mhz@altlinux.ru> 1.6.3-alt1
- New upstream release
- rpm-build-java cosmetics

* Wed Mar 30 2005 ALT QA Team Robot <qa-robot@altlinux.org> 1.6.2-alt3.1
- Rebuilt with python-2.4.

* Wed Jan 12 2005 Mikhail Zabaluev <mhz@altlinux.ru> 1.6.2-alt3
- Made ant-optional an installable umbrella package for all optional tasks

* Tue Sep 21 2004 Mikhail Zabaluev <mhz@altlinux.ru> 1.6.2-alt2
- Updated to ant-1.6.2-alt2

* Wed Jul 21 2004 Mikhail Zabaluev <mhz@altlinux.ru> 1.6.2-alt1
- New upstream release
- Removed ant-xalan2 following the likewise upstream change

* Mon Jun 14 2004 Mikhail Zabaluev <mhz@altlinux.ru> 1.6.1-alt2
- Updated to 1.6.1
- Split to packages one per jar, each with own dependencies
- Bind to the core ant package up to version-release

* Thu Dec 18 2003 Mikhail Zabaluev <mhz@altlinux.ru> 1.5.4-alt3
- Javacc compatibility patches borrowed from the JPackage project

* Fri Oct 24 2003 Mikhail Zabaluev <mhz@altlinux.ru> 1.5.4-alt2
- Initial release as a separate source package
